using InABox.Integration.Awg;

namespace InABox.Integration.Logikal
{
    public interface ILogikalBOM<TFinish,TProfile,TGasket,TComponent,TGlass,TLabour> 
        : IAwgBOM<TFinish,TProfile,TGasket,TComponent,TGlass,TLabour> 
        where TFinish : ILogikalFinish
        where TProfile : ILogikalProfile
        where TGasket : ILogikalGasket
        where TComponent : ILogikalComponent
        where TGlass : ILogikalGlass
        where TLabour : ILogikalLabour
    {
        byte[] ExcelData { get; set; }
        byte[] SQLiteData { get; set; }
    }
}